Bug 126020 - Enable i18n translation for rhgb in CJK environment
Enable i18n translation for rhgb in CJK environment
Product: Fedora
Classification: Fedora
Component: initscripts (Show other bugs)
All Linux
medium Severity high
: ---
: ---
Assigned To: Bill Nottingham
Brock Organ
: i18n
Depends On:
  Show dependency treegraph
Reported: 2004-06-15 08:16 EDT by Nakai
Modified: 2014-03-16 22:46 EDT (History)
3 users (show)

See Also:
Fixed In Version: 7.58-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-06-29 00:23:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Diff for initscripts-7.53. Trivial. (389 bytes, patch)
2004-06-15 08:17 EDT, Nakai
no flags Details | Diff

  None (edit)
Description Nakai 2004-06-15 08:16:33 EDT
Description of problem:
rhgb is i18ned but initscripts breaks it.
/etc/init.d/functions set LC_MESSAGES=en_US for CJK locale,
in the sake of console message. But that breaks rhgb i18n.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Translate rhgb.mo for CJK and install into the system locale dir.
2. Boot in ja_JP.UTF-8 or other CJK locales.
3. Message is English, not translated.
Actual results:

Expected results:

Additional info:
Comment 1 Nakai 2004-06-15 08:17:38 EDT
Created attachment 101143 [details]
Diff for initscripts-7.53. Trivial.
Comment 2 Bill Nottingham 2004-06-29 00:23:37 EDT
Added, will be in 7.58-1.

Note You need to log in before you can comment on or make changes to this bug.